// components/messageTextarea/messageTextarea.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    autofocus: {
      type: Boolean,
      value: false,
    },
    hidden: {
      type: Boolean,
      value: false,
    },
    inputValue: {
      type: String,
      value: "",
      observer: function (newVal, oldVal) {
        // 属性值变化时执行
        this.setData({
          active: newVal.length,
          value: newVal,
        });
      },
    },
    placeholder: {
      type: String,
      value: "友善的评论是交流的起点",
    },
    replyName: {
      type: String,
      value: "",
    },
    isAuthor: {
      type: Boolean,
      value: false,
    },
    disabled: {
      type: Boolean,
      value: false,
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    active: false,
    autoheight: true,
    value: "",
  },

  methods: {
    onBlur: function (event) {
      this.triggerEvent("blur", {
        value: event.detail.value || "",
      });
    },
    onFocus: function (e) {
      this.triggerEvent("focus", {
        value: this.data.value,
      });
    },

    inputChange: function (event) {
      const { value } = event.detail;
      this.data.value = value;
      if (value.trim().length) {
        this.setData({
          active: true,
        });
      } else {
        this.setData({
          active: false,
        });
      }
    },

    tapSendAction: function () {
      this.triggerEvent("send", {
        value: this.data.value,
      });
    },
  },
});
