// components/userCard/userCard.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    authorInfo: {
      type: Object,
      value: {},
    },
    time: {
      type: String,
      value: "",
    },
    isAuthor: {
      type: Number,
      value: 0,
    },
    isShowLike: {
      type: Boolean,
      value: true,
    },
    isShowMore: {
      type: Boolean,
      value: false,
    },
    layoutType: {
      type: Number,
      value: 1,
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    isAttention: 0,
  },

  /**
   * 组件的方法列表
   */
  methods: {
    tapDeleteAction() {
      const _this = this;
      wx.showModal({
        title: "提示",
        content: "确认删除该帖子?",
        success(res) {
          if (res.confirm) {
            _this.triggerEvent("del");
          }
        },
      });
    },
    tapPersonalAction() {
      const { authorInfo } = this.properties;
      wx.navigateTo({
        url: `/pages/personal/personal?userId=${authorInfo.id}`,
      });
    },
    tapUserAction() {
      this.triggerEvent("action");
    },
  },
});
