// pages/my/my.js
const utils = require("../../utils/util");
const net = require("../../utils/net.js");
const { api_user_info } = require("../../utils/api.js");
Page({
  /**
   * 页面的初始数据
   */
  data: {
    userInfo: null,
    userData: {},
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function () {
    this.judgeUserLogin();
  },

  judgeUserLogin() {
    const userInfo = utils.getStorageSync("USERINFO");
    if (userInfo && userInfo.token) {
      this.setData({
        userInfo: userInfo,
      });
      this._onLoad = true;
      this.getUserInfoData();
    }
  },

  onTabItemTap(item) {
    if (this._onLoad) {
      this._onLoad = false;
    } else {
      const { userInfo } = this.data;
      const userData = utils.getStorageSync("USERINFO");
      if (item.pagePath == "pages/my/my" && userData && userData.token) {
        !userInfo &&
          this.setData({
            userInfo: userData,
          });
        this.getUserInfoData();
      }
    }
  },

  getUserInfoData() {
    let params = {};
    params.url = api_user_info;
    net
      .req(params)
      .then((data) => {
        this.setData({
          userData: data,
        });
      })
      .catch((e) => {
        if (e.code == 3) {
          this.setData({
            userInfo: null,
          });
        }
      });
  },

  tapToLoginAction() {
    wx.navigateTo({
      url: "/pages/login/login",
    });
  },

  tapUserInfoAction() {
    wx.navigateTo({
      url: "/pages/editInfo/editInfo",
    });
  },

  tapHistoryAction() {
    wx.navigateTo({
      url: "/pages/history/history",
    });
  },

  tapMessageAction() {
    wx.navigateTo({
      url: "/pages/message/message",
    });
  },

  tapAttentionAction() {
    const { userData } = this.data;
    wx.navigateTo({
      url: `/pages/myAttention/myAttention?userId=${userData.userInfo.userId}`,
    });
  },

  tapFansAction() {
    const { userData } = this.data;
    wx.navigateTo({
      url: `/pages/myfans/myfans?userId=${userData.userInfo.userId}`,
    });
  },

  tapPersonalAction() {
    const { userData } = this.data;
    wx.navigateTo({
      url: `/pages/personal/personal?userId=${userData.userInfo.userId}`,
    });
  },

  refreshCallback() {
    this.judgeUserLogin();
  },
});
