// pages/myfans/myfans.js
const net = require("../../utils/net.js");
const util = require("../../utils/util.js");
const { api_user_fans_list } = require("../../utils/api.js");
Page({
  /**
   * 页面的初始数据
   */
  data: {
    isEmpty: false,
    listData: [],
    limit: 20,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options && options.userId) {
      this._userId = options.userId;
      this.loadListData({ isRefresh: true });
    } else {
      util.showToast({ title: "用户信息错误,请您稍后再试!" });
    }
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this._isload) return false;
    this._isload = true;
    this.loadListDataper({
      isRefresh: false,
    });
  },

  loadListData(obj) {
    const { limit, listData } = this.data;
    let params = {};
    params.url = api_user_fans_list;
    params.data = {
      limit: limit,
      userId: this._userId,
    };
    const len = listData.length;
    if (!obj.isRefresh && len) {
      params.data.lastId = listData[len - 1].id;
    }
    net.req(params, true).then(
      (data) => {
        if (obj.isRefresh) {
          this.setData({
            listData: data.list,
            isEmpty: !data.list.length,
            isEnd: data.list.length < limit,
          });
          this._refresh = false;
        } else {
          if (data.list.length) {
            this.setData({
              listData: listData.concat(data.list),
              isEnd: data.list.length < limit,
            });
          }
          this._isload = data.list.length < limit;
        }
      },
      (e) => {
        util.showToast({ title: e.msg || "" });
        obj.isRefresh ? (this._refresh = false) : (this._isload = false);
      }
    );
  },

  tapUserAction(e) {
    const { item, index } = e.currentTarget.dataset;
    this._selectIndex = index;
    wx.navigateTo({
      url: `/pages/personal/personal?userId=${item.id}`,
    });
  },

  tapAttentionAction() {
    let pages = getCurrentPages(); /*在内存中的所有页面栈对象*/
    let reloadPage = pages[pages.length - 2]; /*我的页面对象*/
    reloadPage && reloadPage.refreshCallback && reloadPage.refreshCallback();
  },

  cancelAttention() {
    const { listData } = this.data;
    listData.splice(this._selectIndex, 1);
    this.setData({
      listData: listData,
      isEmpty: !listData.length,
    });
  },
});
